--------------------------------------------------------------------------------------------------
--Traits
--------------------------------------------------------------------------------------------------
INSERT INTO Traits (Type,		LuaToInclude,				RequiresExpansion,	FreeUnit,					FreeUnitPrereqTech,		FreeBuilding,				FreeBuildingOnConquest,		Description,					ShortDescription) 
SELECT 'TRAIT_FA_ALEXANDER',	'Alexander_Hellenism.lua',	1,					'UNITCLASS_GREAT_GENERAL',	'TECH_PHILOSOPHY',		'BUILDING_AMPHITHEATER',	'BUILDING_AMPHITHEATER',	'TXT_KEY_TRAIT_FA_ALEXANDER',	'TXT_KEY_TRAIT_FA_ALEXANDER_SHORT';

--------------------------------------------------------------------------------------------------
UPDATE Leader_Traits SET TraitType = 'TRAIT_FA_ALEXANDER' WHERE LeaderType = 'LEADER_ALEXANDER';

--------------------------------------------------------------------------------------------------
--Leader Flavors
--------------------------------------------------------------------------------------------------
DELETE FROM Leader_Flavors WHERE LeaderType = 'LEADER_ALEXANDER';

INSERT INTO Leader_Flavors  (LeaderType,	FlavorType,							Flavor)
SELECT 'LEADER_ALEXANDER',					'FLAVOR_OFFENSE',					8 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_DEFENSE',					5 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_CITY_DEFENSE',				3 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_MILITARY_TRAINING',			8 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_RECON',						5 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_RANGED',					3 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_MOBILE',					8 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_NAVAL',						5 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_NAVAL_RECON',				5 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_NAVAL_GROWTH',				6 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_NAVAL_TILE_IMPROVEMENT',	6 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_AIR',						3 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_EXPANSION',					9 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_GROWTH',					3 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_TILE_IMPROVEMENT',			4 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_INFRASTRUCTURE',			5 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_PRODUCTION',				5 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_GOLD',						3 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_SCIENCE',					6 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_CULTURE',					8 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_HAPPINESS',					5 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_GREAT_PEOPLE',				7 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_WONDER',					6 UNION ALL

SELECT 'LEADER_ALEXANDER',					'FLAVOR_RELIGION',					3 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_DIPLOMACY',					3 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_SPACESHIP',					7 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_WATER_CONNECTION',			7 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_NUKE',						5 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_USE_NUKE',					7 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_ESPIONAGE',					5 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_ANTIAIR',					5 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_AIR_CARRIER',				5 UNION ALL

SELECT 'LEADER_ALEXANDER',					'FLAVOR_ARCHAEOLOGY',				7 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_I_LAND_TRADE_ROUTE',		6 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_I_SEA_TRADE_ROUTE',			5 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_I_TRADE_ORIGIN',			5 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_I_TRADE_DESTINATION',		5 UNION ALL
SELECT 'LEADER_ALEXANDER',					'FLAVOR_AIRLIFT',					5;

--------------------------------------------------------------------------------------------------
--Icon Atlas 
--------------------------------------------------------------------------------------------------
INSERT INTO IconTextureAtlases (Atlas,	IconSize,	IconsPerRow,	IconsPerColumn,	Filename)
SELECT 'FA_ALEXANDER_ATLAS',			256,		1,				1,				'Alexander_Atlas256.dds' UNION ALL
SELECT 'FA_ALEXANDER_ATLAS',			128,		1,				1,				'Alexander_Atlas128.dds' UNION ALL
SELECT 'FA_ALEXANDER_ATLAS',			80,			1,				1,				'Alexander_Atlas80.dds' UNION ALL
SELECT 'FA_ALEXANDER_ATLAS',			64,			1,				1,				'Alexander_Atlas64.dds' UNION ALL
SELECT 'FA_ALEXANDER_ATLAS',			45,			1,				1,				'Alexander_Atlas45.dds';

--------------------------------------------------------------------------------------------------
--Units
--------------------------------------------------------------------------------------------------
INSERT INTO Units (Type,		Class,						Cost,	AdvancedStartCost,	WorkRate,	Found,	CombatLimit,	DontShowYields,	Moves,	CivilianAttackPriority,				Special,				Domain,				DefaultUnitAI,		Description,					Help,								Strategy,								Civilopedia,						UnitArtInfo,					UnitFlagAtlas,		UnitFlagIconOffset,	IconAtlas,				PortraitIndex) 
SELECT 'UNIT_FA_ALEXANDER',		'UNITCLASS_GREAT_GENERAL',	-1,		-1,					1,			1,		0,				1,				3,		'CIVILIAN_ATTACK_PRIORITY_HIGH',	'SPECIALUNIT_PEOPLE',	'DOMAIN_LAND',		'UNITAI_GENERAL',	'TXT_KEY_UNIT_FA_ALEXANDER',	'TXT_KEY_UNIT_FA_ALEXANDER_HELP',	'TXT_KEY_UNIT_GREAT_GENERAL_STRATEGY',	'TXT_KEY_CIV5_GREATGENERALS_TEXT',	'ART_DEF_UNIT_FA_ALEXANDER',	'UNIT_FLAG_ATLAS',	90,					'FA_ALEXANDER_ATLAS',	0;

--------------------------------------------------------------------------------------------------
-- Unit Builds
--------------------------------------------------------------------------------------------------
INSERT INTO Unit_Builds (UnitType,		BuildType)
SELECT 'UNIT_FA_ALEXANDER',				'BUILD_CITADEL';

--------------------------------------------------------------------------------------------------
--Unit AIs 
--------------------------------------------------------------------------------------------------
INSERT INTO Unit_AITypes (UnitType,		UnitAIType)
SELECT 'UNIT_FA_ALEXANDER',				'UNITAI_GENERAL' UNION ALL
SELECT 'UNIT_FA_ALEXANDER',				'UNITAI_SETTLE';

--------------------------------------------------------------------------------------------------
--Unit Free Promotions
--------------------------------------------------------------------------------------------------
INSERT INTO Unit_FreePromotions (UnitType,	PromotionType)
SELECT 'UNIT_FA_ALEXANDER',					'PROMOTION_GREAT_GENERAL';

--------------------------------------------------------------------------------------------------
--Unit Flavors
--------------------------------------------------------------------------------------------------
INSERT INTO Unit_Flavors (UnitType,			FlavorType,					Flavor)
SELECT 'UNIT_FA_ALEXANDER',					'FLAVOR_OFFENSE',			1 UNION ALL
SELECT 'UNIT_FA_ALEXANDER',					'FLAVOR_DEFENSE',			1 UNION ALL
SELECT 'UNIT_FA_ALEXANDER',					'FLAVOR_EXPANSION',			5;

--------------------------------------------------------------------------------------------------
--Unit Unique Names
--------------------------------------------------------------------------------------------------
INSERT INTO Unit_UniqueNames (UnitType,		UniqueName)
SELECT 'UNIT_FA_ALEXANDER',					'TXT_KEY_FA_ALEXANDER_AGATHOCLES' UNION ALL
SELECT 'UNIT_FA_ALEXANDER',					'TXT_KEY_FA_ALEXANDER_ANDROSTHENES' UNION ALL
SELECT 'UNIT_FA_ALEXANDER',					'TXT_KEY_FA_ALEXANDER_ANTIPATER' UNION ALL
SELECT 'UNIT_FA_ALEXANDER',					'TXT_KEY_FA_ALEXANDER_ARISTODEMUS' UNION ALL
SELECT 'UNIT_FA_ALEXANDER',					'TXT_KEY_FA_ALEXANDER_CASSANDER' UNION ALL
SELECT 'UNIT_FA_ALEXANDER',					'TXT_KEY_FA_ALEXANDER_CRATERUS' UNION ALL
SELECT 'UNIT_FA_ALEXANDER',					'TXT_KEY_FA_ALEXANDER_DEMETRIUS_I' UNION ALL
SELECT 'UNIT_FA_ALEXANDER',					'TXT_KEY_FA_ALEXANDER_DIODORUS' UNION ALL
SELECT 'UNIT_FA_ALEXANDER',					'TXT_KEY_FA_ALEXANDER_ECHECRATES' UNION ALL
SELECT 'UNIT_FA_ALEXANDER',					'TXT_KEY_FA_ALEXANDER_LAGORAS' UNION ALL
SELECT 'UNIT_FA_ALEXANDER',					'TXT_KEY_FA_ALEXANDER_LEONNATUS' UNION ALL
SELECT 'UNIT_FA_ALEXANDER',					'TXT_KEY_FA_ALEXANDER_LYSIAS' UNION ALL
SELECT 'UNIT_FA_ALEXANDER',					'TXT_KEY_FA_ALEXANDER_LYSIMACHUS' UNION ALL
SELECT 'UNIT_FA_ALEXANDER',					'TXT_KEY_FA_ALEXANDER_NICANOR' UNION ALL
SELECT 'UNIT_FA_ALEXANDER',					'TXT_KEY_FA_ALEXANDER_NICARCHUS' UNION ALL
SELECT 'UNIT_FA_ALEXANDER',					'TXT_KEY_FA_ALEXANDER_OPHELLAS' UNION ALL
SELECT 'UNIT_FA_ALEXANDER',					'TXT_KEY_FA_ALEXANDER_PERDICCAS' UNION ALL
SELECT 'UNIT_FA_ALEXANDER',					'TXT_KEY_FA_ALEXANDER_POLYXENIDAS' UNION ALL
SELECT 'UNIT_FA_ALEXANDER',					'TXT_KEY_FA_ALEXANDER_PTOLEMY' UNION ALL
SELECT 'UNIT_FA_ALEXANDER',					'TXT_KEY_FA_ALEXANDER_PYRRHIAS' UNION ALL
SELECT 'UNIT_FA_ALEXANDER',					'TXT_KEY_FA_ALEXANDER_SCOPAS' UNION ALL
SELECT 'UNIT_FA_ALEXANDER',					'TXT_KEY_FA_ALEXANDER_SELEUCUS' UNION ALL
SELECT 'UNIT_FA_ALEXANDER',					'TXT_KEY_FA_ALEXANDER_THEODOTUS';

--------------------------------------------------------------------------------------------------
-- Unit Selection Sounds
--------------------------------------------------------------------------------------------------
INSERT INTO UnitGameplay2DScripts (UnitType,	SelectionSound,				FirstSelectionSound)
SELECT 'UNIT_FA_ALEXANDER',						'AS2D_SELECT_HORSEMAN',		'AS2D_BIRTH_HORSEMAN';

--------------------------------------------------------------------------------------------------
--Unit Art
--------------------------------------------------------------------------------------------------
INSERT INTO ArtDefine_StrategicView (StrategicViewType, TileType,	Asset)
SELECT 'ART_DEF_UNIT_FA_ALEXANDER',						'Unit',		'SV_GreatGeneral.dds';

INSERT INTO ArtDefine_UnitInfos (Type,		DamageStates,		Formation)
SELECT	'ART_DEF_UNIT_FA_ALEXANDER',		1,					'DefaultCavalry';

INSERT INTO ArtDefine_UnitInfoMemberInfos (UnitInfoType,	UnitMemberInfoType,					NumMembers)
SELECT	'ART_DEF_UNIT_FA_ALEXANDER',						'ART_DEF_UNIT_MEMBER_FA_ALEXANDER',	1;

INSERT INTO ArtDefine_UnitMemberCombats (UnitMemberType,	EnableActions,	DisableActions,	MoveRadius,	ShortMoveRadius,	ChargeRadius,	AttackRadius,	RangedAttackRadius,	MoveRate,	ShortMoveRate,	TurnRateMin,	TurnRateMax,	TurnFacingRateMin,	TurnFacingRateMax,	RollRateMin,	RollRateMax,	PitchRateMin,	PitchRateMax,	LOSRadiusScale,	TargetRadius,	TargetHeight,	HasShortRangedAttack,	HasLongRangedAttack,	HasLeftRightAttack,	HasStationaryMelee,	HasStationaryRangedAttack,	HasRefaceAfterCombat,	ReformBeforeCombat,	HasIndependentWeaponFacing,	HasOpponentTracking,	HasCollisionAttack,	AttackAltitude,	AltitudeDecelerationDistance,	OnlyTurnInMovementActions,	RushAttackFormation)
SELECT	('ART_DEF_UNIT_MEMBER_FA_ALEXANDER'),				EnableActions,	DisableActions,	MoveRadius,	ShortMoveRadius,	ChargeRadius,	AttackRadius,	RangedAttackRadius,	MoveRate,	ShortMoveRate,	TurnRateMin,	TurnRateMax,	TurnFacingRateMin,	TurnFacingRateMax,	RollRateMin,	RollRateMax,	PitchRateMin,	PitchRateMax,	LOSRadiusScale,	TargetRadius,	TargetHeight,	HasShortRangedAttack,	HasLongRangedAttack,	HasLeftRightAttack,	HasStationaryMelee,	HasStationaryRangedAttack,	HasRefaceAfterCombat,	ReformBeforeCombat,	HasIndependentWeaponFacing,	HasOpponentTracking,	HasCollisionAttack,	AttackAltitude,	AltitudeDecelerationDistance,	OnlyTurnInMovementActions,	RushAttackFormation
FROM ArtDefine_UnitMemberCombats		WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_HORSEMAN';

INSERT INTO ArtDefine_UnitMemberCombatWeapons ('UnitMemberType',	'Index', 'SubIndex', 'ID', 'VisKillStrengthMin', 'VisKillStrengthMax', 'ProjectileSpeed', 'ProjectileTurnRateMin', 'ProjectileTurnRateMax', 'HitEffect', 'HitEffectScale', 'HitRadius', 'ProjectileChildEffectScale', 'AreaDamageDelay', 'ContinuousFire', 'WaitForEffectCompletion', 'TargetGround', 'IsDropped', 'WeaponTypeTag', 'WeaponTypeSoundOverrideTag')
SELECT ('ART_DEF_UNIT_MEMBER_FA_ALEXANDER'),						"Index", "SubIndex", "ID", "VisKillStrengthMin", "VisKillStrengthMax", "ProjectileSpeed", "ProjectileTurnRateMin", "ProjectileTurnRateMax", "HitEffect", "HitEffectScale", "HitRadius", "ProjectileChildEffectScale", "AreaDamageDelay", "ContinuousFire", "WaitForEffectCompletion", "TargetGround", "IsDropped", "WeaponTypeTag", "WeaponTypeSoundOverrideTag"
FROM ArtDefine_UnitMemberCombatWeapons	WHERE (UnitMemberType = 'ART_DEF_UNIT_MEMBER_HORSEMAN');

INSERT INTO ArtDefine_UnitMemberInfos (Type,	Scale,		ZOffset,		Domain,		Model,							MaterialTypeTag,	 MaterialTypeSoundOverrideTag)
SELECT	('ART_DEF_UNIT_MEMBER_FA_ALEXANDER'),	'0.12',		ZOffset,		Domain,		('Horseman_Greece.fxsxml'),		MaterialTypeTag,	 MaterialTypeSoundOverrideTag
FROM ArtDefine_UnitMemberInfos			WHERE Type = 'ART_DEF_UNIT_MEMBER_HORSEMAN';
