-- Bismarck_Realpolitik
-- Author: FramedArchitecture
-- DateCreated: 6/2014
--------------------------------------------------------------------
include("UA_Functions.lua")
--------------------------------------------------------------------
local bismarckID = -1
local bismarckTeamID = -1
local bBismarckAtWar = false
--------------------------------------------------------------------
function OnWarStateChanged(teamID, _, bWar)
	if (teamID == bismarckTeamID) and (bWar ~= bBismarckAtWar) then
		bBismarckAtWar = (Teams[bismarckTeamID]:GetAtWarCount(true) > 0)
		UpdateRealPolitikBonuses()
	end
end
--------------------------------------------------------------------
function UpdateRealPolitikBonuses()
	local player = Players[bismarckID]
	local peace = {
		["POLICY_TRAIT_FA_BISMARCK_PEACE_01"] = {lower=0, upper=10},
		["POLICY_TRAIT_FA_BISMARCK_PEACE_02"] = {lower=10, upper=25},
		["POLICY_TRAIT_FA_BISMARCK_PEACE_03"] = {lower=25, upper=50},
		["POLICY_TRAIT_FA_BISMARCK_PEACE_04"] = {lower=50, upper=1000},
	}

	local happiness = player:GetExcessHappiness()
	
	if (Game.GetElapsedGameTurns() == 0) then
		happiness = 1
	end

	for policy, v in pairs(peace) do
		player:SetHasPolicy(GameInfoTypes[policy], (not bBismarckAtWar and (happiness > v.lower) and (happiness <= v.upper)))
	end

	player:SetHasPolicy(GameInfoTypes.POLICY_TRAIT_FA_BISMARCK_WAR_01, bBismarckAtWar)

end
--------------------------------------------------------------------
function Init()
	for i = 0, GameDefines.MAX_MAJOR_CIVS - 1, 1 do
		local player = Players[i]
		if player and (GetTraitType(player) == "TRAIT_FA_BISMARCK") then
			bismarckID = i
			bismarckTeamID = player:GetTeam()
			bBismarckAtWar = (Teams[bismarckTeamID]:GetAtWarCount(true) > 0)
			
			UpdateRealPolitikBonuses()
			Events.WarStateChanged.Add(OnWarStateChanged)

			print("Bismarck_Realpolitik loaded")
			break;
		end
	end
end
--------------------------------------------------------------------
Init();
