--------------------------------------------------------------------------------------------------
--Traits
--------------------------------------------------------------------------------------------------
ALTER TABLE Traits ADD COLUMN Divination boolean DEFAULT 0;

INSERT INTO Traits (Type,	LuaToInclude,				RequiresExpansion,	FreeBuilding,	Divination,	Description,					ShortDescription) 
SELECT 'TRAIT_FA_BOUDICCA',	'Boudicca_Andraste.lua',	1,					NULL,			1,			'TXT_KEY_TRAIT_FA_BOUDICCA',	'TXT_KEY_TRAIT_FA_BOUDICCA_SHORT';

--------------------------------------------------------------------------------------------------
UPDATE Leader_Traits SET TraitType = 'TRAIT_FA_BOUDICCA' WHERE LeaderType = 'LEADER_BOUDICCA';

--------------------------------------------------------------------------------------------------
--Leader Flavors
--------------------------------------------------------------------------------------------------
DELETE FROM Leader_Flavors WHERE LeaderType = 'LEADER_BOUDICCA';

INSERT INTO Leader_Flavors  (LeaderType,	FlavorType,							Flavor)
SELECT 'LEADER_BOUDICCA',					'FLAVOR_OFFENSE',					8 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_DEFENSE',					4 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_CITY_DEFENSE',				3 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_MILITARY_TRAINING',			6 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_RECON',						3 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_RANGED',					4 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_MOBILE',					3 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_NAVAL',						5 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_NAVAL_RECON',				5 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_NAVAL_GROWTH',				5 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_NAVAL_TILE_IMPROVEMENT',	5 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_AIR',						5 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_EXPANSION',					4 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_GROWTH',					3 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_TILE_IMPROVEMENT',			5 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_INFRASTRUCTURE',			5 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_PRODUCTION',				7 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_GOLD',						4 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_SCIENCE',					4 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_CULTURE',					4 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_HAPPINESS',					7 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_GREAT_PEOPLE',				4 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_WONDER',					4 UNION ALL

SELECT 'LEADER_BOUDICCA',					'FLAVOR_RELIGION',					5 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_DIPLOMACY',					6 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_SPACESHIP',					5 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_WATER_CONNECTION',			5 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_NUKE',						5 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_USE_NUKE',					5 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_ESPIONAGE',					7 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_ANTIAIR',					5 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_AIR_CARRIER',				5 UNION ALL

SELECT 'LEADER_BOUDICCA',					'FLAVOR_ARCHAEOLOGY',				5 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_I_LAND_TRADE_ROUTE',		5 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_I_SEA_TRADE_ROUTE',			5 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_I_TRADE_ORIGIN',			5 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_I_TRADE_DESTINATION',		5 UNION ALL
SELECT 'LEADER_BOUDICCA',					'FLAVOR_AIRLIFT',					5;

--------------------------------------------------------------------------------------------------
--Promotions
--------------------------------------------------------------------------------------------------
ALTER TABLE UnitPromotions ADD COLUMN EnrageChance integer DEFAULT 0;
ALTER TABLE UnitPromotions ADD COLUMN EnrageTurns integer DEFAULT 0;

INSERT INTO UnitPromotions (Type,	CannotBeChosen,	EnrageChance,	EnrageTurns,	CanMoveAfterAttacking,	AttackWoundedMod,	Description,						Help,									PediaEntry,							IconAtlas,			PortraitIndex,	Sound,				PediaType)
SELECT 'PROMOTION_FA_BOUDICCA',		1,				40,				3,				1,						25,					'TXT_KEY_PROMOTION_FA_BOUDICCA',	'TXT_KEY_PROMOTION_FA_BOUDICCA_HELP',	'TXT_KEY_PROMOTION_FA_BOUDICCA',	'PROMOTION_ATLAS',	13,				'AS2D_IF_LEVELUP',	'PEDIA_SHARED';

INSERT INTO UnitPromotions_UnitCombats (PromotionType,	UnitCombatType)
SELECT 'PROMOTION_FA_BOUDICCA',							'UNITCOMBAT_ARCHER' UNION ALL
SELECT 'PROMOTION_FA_BOUDICCA',							'UNITCOMBAT_MOUNTED' UNION ALL
SELECT 'PROMOTION_FA_BOUDICCA',							'UNITCOMBAT_MELEE' UNION ALL
SELECT 'PROMOTION_FA_BOUDICCA',							'UNITCOMBAT_SIEGE' UNION ALL
SELECT 'PROMOTION_FA_BOUDICCA',							'UNITCOMBAT_GUN' UNION ALL
SELECT 'PROMOTION_FA_BOUDICCA',							'UNITCOMBAT_ARMOR';
