-- Elizabeth_Gloriana
-- Author: FramedArchitecture
-- DateCreated: 6/2014
--------------------------------------------------------------------
include("UA_Functions.lua")
--------------------------------------------------------------------
local bGnK = g_IsGnK
local bBNW = g_IsBNW
local insert = table.insert
local remove = table.remove
local medievalID = GameInfo.Eras["ERA_MEDIEVAL"].ID
local elizabethID = -1
local elizabethTeamID = -1
--------------------------------------------------------------------
function OnPlayerDoTurn(playerID)
	if playerID ~= elizabethID then return end

	local player = Players[playerID]
	if not GetTraitInfo(player).LateCityGAPoints then return end
	if player:GetCurrentEra() <= medievalID then return end

	local bonus = GetGlorianaGoldenAgePoints(playerID)
	if (bonus > 0) then
		player:ChangeGoldenAgeProgressMeter(bonus)
	end
end
--------------------------------------------------------------------
function OnCityFounded(playerID, x, y)
	if playerID ~= elizabethID then return end

	local player = Players[playerID]
	if not GetTraitInfo(player).LateCityGAPoints then return end

	local city = Map.GetPlot(x, y):GetPlotCity()

	local firstContinent = GetOriginalContinent(playerID)
	if not firstContinent then
		local thisContinent = GetContinent(city)
		SaveOriginalContinent(playerID, thisContinent)
		firstContinent = thisContinent
	end

	if player:GetCurrentEra() <= medievalID then return end

	if firstContinent == GetContinent(city) then
		city:SetNumRealBuilding(GameInfoTypes["BUILDING_FA_GLORIANA01"], 1)
	else 
		city:SetNumRealBuilding(GameInfoTypes["BUILDING_FA_GLORIANA02"], 1)
	end
end
--------------------------------------------------------------------
function GetContinent(city)
	return city:Plot():GetContinentArtType();
end
--------------------------------------------------------------------
function SaveOriginalContinent(playerID, value)
	SetPersistentProperty(string.format("Player%iOriginalContinent", playerID), value)
end
--------------------------------------------------------------------
function GetOriginalContinent(playerID)
	return GetPersistentProperty(string.format("Player%iOriginalContinent", playerID))
end
--------------------------------------------------------------------
function Init()
	for i = 0, GameDefines.MAX_MAJOR_CIVS - 1, 1 do
		local player = Players[i]
		if player and (GetTraitType(player) == "TRAIT_FA_ELIZABETH") then
			elizabethID = i
			elizabethTeamID = player:GetTeam()
			
			if not GetOriginalContinent(i) then
				local city = player:GetCapitalCity() 
				if city then
					SaveOriginalContinent(i, GetContinent(city))
				end
			end

			GameEvents.PlayerDoTurn.Add(OnPlayerDoTurn)
			GameEvents.PlayerCityFounded.Add(OnCityFounded)

			print("Elizabeth_Gloriana loaded")
			break;
		end
	end
end
--------------------------------------------------------------------
Init();

