--------------------------------------------------------------------------------------------------
--Traits
--------------------------------------------------------------------------------------------------
ALTER TABLE Traits ADD COLUMN LateCityGAPoints boolean DEFAULT 0;

INSERT INTO Traits (Type,		LuaToInclude,				LateCityGAPoints,	FreeUnit,			FreeUnitPrereqTech,		Description,					ShortDescription) 
SELECT 'TRAIT_FA_ELIZABETH',	'Elizabeth_Gloriana.lua',	1,					'UNITCLASS_ARTIST',	'TECH_EDUCATION',		'TXT_KEY_TRAIT_FA_ELIZABETH',	'TXT_KEY_TRAIT_FA_ELIZABETH_SHORT';

--------------------------------------------------------------------------------------------------
UPDATE Leader_Traits SET TraitType = 'TRAIT_FA_ELIZABETH' WHERE LeaderType = 'LEADER_ELIZABETH';

--------------------------------------------------------------------------------------------------
--Leader Flavors
--------------------------------------------------------------------------------------------------
DELETE FROM Leader_Flavors WHERE LeaderType = 'LEADER_ELIZABETH';

INSERT INTO Leader_Flavors  (LeaderType,	FlavorType,							Flavor)
SELECT 'LEADER_ELIZABETH',					'FLAVOR_OFFENSE',					3 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_DEFENSE',					6 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_CITY_DEFENSE',				6 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_MILITARY_TRAINING',			5 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_RECON',						6 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_RANGED',					8 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_MOBILE',					3 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_NAVAL',						8 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_NAVAL_RECON',				8 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_NAVAL_GROWTH',				8 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_NAVAL_TILE_IMPROVEMENT',	5 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_AIR',						6 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_EXPANSION',					8 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_GROWTH',					5 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_TILE_IMPROVEMENT',			6 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_INFRASTRUCTURE',			5 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_PRODUCTION',				5 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_GOLD',						7 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_SCIENCE',					7 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_CULTURE',					5 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_HAPPINESS',					5 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_GREAT_PEOPLE',				7 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_WONDER',					5 UNION ALL

SELECT 'LEADER_ELIZABETH',					'FLAVOR_RELIGION',					5 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_DIPLOMACY',					6 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_SPACESHIP',					5 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_WATER_CONNECTION',			6 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_NUKE',						5 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_USE_NUKE',					5 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_ESPIONAGE',					6 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_ANTIAIR',					8 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_AIR_CARRIER',				7 UNION ALL

SELECT 'LEADER_ELIZABETH',					'FLAVOR_ARCHAEOLOGY',				5 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_I_LAND_TRADE_ROUTE',		5 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_I_SEA_TRADE_ROUTE',			5 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_I_TRADE_ORIGIN',			5 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_I_TRADE_DESTINATION',		5 UNION ALL
SELECT 'LEADER_ELIZABETH',					'FLAVOR_AIRLIFT',					5;

--------------------------------------------------------------------------------------------------
--Trait Specialists
--------------------------------------------------------------------------------------------------
INSERT INTO Trait_SpecialistYieldChanges  (TraitType,	SpecialistType,			YieldType,			Yield) 
SELECT 'TRAIT_FA_ELIZABETH',							'SPECIALIST_ARTIST',	'YIELD_FOOD',		3;

--------------------------------------------------------------------------------------------------
--Icon Atlas 
--------------------------------------------------------------------------------------------------
INSERT INTO IconTextureAtlases (Atlas,	IconSize,	IconsPerRow,	IconsPerColumn,	Filename)
SELECT 'FA_ELIZABETH_ATLAS',			256,		1,				1,				'Elizabeth_Atlas256.dds' UNION ALL
SELECT 'FA_ELIZABETH_ATLAS',			128,		1,				1,				'Elizabeth_Atlas128.dds' UNION ALL
SELECT 'FA_ELIZABETH_ATLAS',			80,			1,				1,				'Elizabeth_Atlas80.dds' UNION ALL
SELECT 'FA_ELIZABETH_ATLAS',			64,			1,				1,				'Elizabeth_Atlas64.dds' UNION ALL
SELECT 'FA_ELIZABETH_ATLAS',			45,			1,				1,				'Elizabeth_Atlas45.dds';

--------------------------------------------------------------------------------------------------
--Building Classes
--------------------------------------------------------------------------------------------------
INSERT INTO BuildingClasses (Type,			DefaultBuilding,				MaxPlayerInstances,	Description)
SELECT 'BUILDINGCLASS_FA_GLORIANA',			'BUILDING_FA_GLORIANA01',		-1,					'TXT_KEY_BUILDING_FA_GLORIANA';

--------------------------------------------------------------------------------------------------
--Buildings
--------------------------------------------------------------------------------------------------
ALTER TABLE Buildings ADD COLUMN RequiresNewContinent boolean DEFAULT 0;
ALTER TABLE Buildings ADD COLUMN GAPointsPerTurn integer DEFAULT 0;

INSERT INTO Buildings (Type,		BuildingClass,					RequiresNewContinent,	GAPointsPerTurn,	Defense,	Cost,	NeverCapture,	NukeImmune,	IconAtlas,				PortraitIndex,	Description,						Help,									Strategy,									Civilopedia,								ArtDefineTag,				MinAreaSize) 
SELECT 'BUILDING_FA_GLORIANA01',	'BUILDINGCLASS_FA_GLORIANA',	0,						5,					100,		-1,		1,				1,			'FA_ELIZABETH_ATLAS',	0,				'TXT_KEY_BUILDING_FA_GLORIANA01',	'TXT_KEY_BUILDING_FA_GLORIANA01_HELP',	'TXT_KEY_BUILDING_FA_GLORIANA_STRATEGY',	'TXT_KEY_CIV5_BUILDINGS_FA_GLORIANA_TEXT',	'ART_DEF_BUILDING_FORGE',	-1 UNION ALL
SELECT 'BUILDING_FA_GLORIANA02',	'BUILDINGCLASS_FA_GLORIANA',	1,						10,					300,		-1,		1,				1,			'FA_ELIZABETH_ATLAS',	0,				'TXT_KEY_BUILDING_FA_GLORIANA02',	'TXT_KEY_BUILDING_FA_GLORIANA02_HELP',	'TXT_KEY_BUILDING_FA_GLORIANA_STRATEGY',	'TXT_KEY_CIV5_BUILDINGS_FA_GLORIANA_TEXT',	'ART_DEF_BUILDING_FORGE',	-1;

--------------------------------------------------------------------------------------------------
--Expansion Changes
--------------------------------------------------------------------------------------------------
UPDATE Traits
	SET	FreeUnit = 'UNITCLASS_WRITER',
		Description = 'TXT_KEY_TRAIT_FA_ELIZABETH2'
	WHERE EXISTS ( SELECT * FROM Specialists WHERE Type = 'SPECIALIST_WRITER')
	AND Type = 'TRAIT_FA_ELIZABETH';

UPDATE Trait_SpecialistYieldChanges
	SET	SpecialistType = 'SPECIALIST_WRITER'
	WHERE EXISTS ( SELECT * FROM Specialists WHERE Type = 'SPECIALIST_WRITER')
	AND TraitType = 'TRAIT_FA_ELIZABETH';

--------------------------------------------------------------------------------------------------
-- JFD_TopPanelAdditions
--------------------------------------------------------------------------------------------------
INSERT INTO JFD_TopPanelIncludes(FileName) 
SELECT 'UA_Functions.lua';

INSERT INTO JFD_TopPanelAdditions(CivilizationType,	YieldType,			YieldSourcefunction,			YieldSourceToolTip,						MiscToolTipFunction)
SELECT 'CIVILIZATION_ENGLAND',						'YIELD_GOLDEN_AGE',	'GetGlorianaGoldenAgePoints',	'TXT_KEY_GLORIANA_GOLDEN_AGE_POINTS',	'GetGlorianaGoldenAgeTooltip';