--------------------------------------------------------------------------------------------------
--Traits
--------------------------------------------------------------------------------------------------
INSERT INTO Traits (Type,	LuaToInclude,			Description,				ShortDescription) 
SELECT 'TRAIT_FA_GANDHI',	'Gandhi_Ahimsa.lua',	'TXT_KEY_TRAIT_FA_GANDHI',	'TXT_KEY_TRAIT_FA_GANDHI_SHORT';

--------------------------------------------------------------------------------------------------
UPDATE Leader_Traits SET TraitType = 'TRAIT_FA_GANDHI' WHERE LeaderType = 'LEADER_GANDHI';

--------------------------------------------------------------------------------------------------
--Policy enablers
--------------------------------------------------------------------------------------------------
INSERT INTO Policies (Type,						ExtraHappinessPerCity) 
SELECT 'POLICY_TRAIT_FA_GANDHI_PEACE',			2;

--------------------------------------------------------------------------------------------------
--Leader Flavors
--------------------------------------------------------------------------------------------------
DELETE FROM Leader_Flavors WHERE LeaderType = 'LEADER_GANDHI';

INSERT INTO Leader_Flavors  (LeaderType,	FlavorType,							Flavor)
SELECT 'LEADER_GANDHI',					'FLAVOR_OFFENSE',					2 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_DEFENSE',					6 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_CITY_DEFENSE',				7 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_MILITARY_TRAINING',			3 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_RECON',						4 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_RANGED',					7 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_MOBILE',					7 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_NAVAL',						3 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_NAVAL_RECON',				3 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_NAVAL_GROWTH',				3 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_NAVAL_TILE_IMPROVEMENT',	3 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_AIR',						3 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_EXPANSION',					5 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_GROWTH',					8 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_TILE_IMPROVEMENT',			6 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_INFRASTRUCTURE',			6 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_PRODUCTION',				4 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_GOLD',						6 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_SCIENCE',					6 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_CULTURE',					6 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_HAPPINESS',					8 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_GREAT_PEOPLE',				6 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_WONDER',					7 UNION ALL

SELECT 'LEADER_GANDHI',					'FLAVOR_RELIGION',					9 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_DIPLOMACY',					5 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_SPACESHIP',					7 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_WATER_CONNECTION',			3 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_NUKE',						12 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_USE_NUKE',					3 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_ESPIONAGE',					4 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_ANTIAIR',					7 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_AIR_CARRIER',				4 UNION ALL

SELECT 'LEADER_GANDHI',					'FLAVOR_ARCHAEOLOGY',				5 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_I_LAND_TRADE_ROUTE',		7 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_I_SEA_TRADE_ROUTE',			5 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_I_TRADE_ORIGIN',			5 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_I_TRADE_DESTINATION',		5 UNION ALL
SELECT 'LEADER_GANDHI',					'FLAVOR_AIRLIFT',					5;

--------------------------------------------------------------------------------------------------
--Trait Improvements
--------------------------------------------------------------------------------------------------
INSERT INTO Trait_ImprovementYieldChanges  (TraitType,	ImprovementType,		YieldType,			Yield) 
SELECT 'TRAIT_FA_GANDHI',								'IMPROVEMENT_PASTURE',	'YIELD_CULTURE',	2 UNION ALL
SELECT 'TRAIT_FA_GANDHI',								'IMPROVEMENT_PASTURE',	'YIELD_FOOD',		-2 UNION ALL
SELECT 'TRAIT_FA_GANDHI',								'IMPROVEMENT_CAMP',		'YIELD_CULTURE',	2 UNION ALL
SELECT 'TRAIT_FA_GANDHI',								'IMPROVEMENT_CAMP',		'YIELD_FOOD',		-2;

--------------------------------------------------------------------------------------------------
--Expansion Changes
--------------------------------------------------------------------------------------------------
UPDATE Traits
	SET Description = 'TXT_KEY_TRAIT_FA_GANDHI2'
	WHERE EXISTS ( SELECT * FROM UnitCombatInfos WHERE Type = 'UNITCOMBAT_NAVALRANGED')
	AND Type = 'TRAIT_FA_GANDHI';

UPDATE Trait_ImprovementYieldChanges
	SET YieldType = REPLACE (YieldType, 'YIELD_CULTURE', 'YIELD_FAITH') 
	WHERE EXISTS ( SELECT * FROM UnitCombatInfos WHERE Type = 'UNITCOMBAT_NAVALRANGED')
	AND TraitType = 'TRAIT_FA_GANDHI';