--------------------------------------------------------------------------------------------------
--Traits
--------------------------------------------------------------------------------------------------
INSERT INTO Traits (Type,		LuaToInclude,				Description,					ShortDescription) 
SELECT 'TRAIT_FA_MONTEZUMA',	'Montezuma_Sacrifice.lua',	'TXT_KEY_TRAIT_FA_MONTEZUMA',	'TXT_KEY_TRAIT_FA_MONTEZUMA_SHORT';

--------------------------------------------------------------------------------------------------
UPDATE Leader_Traits SET TraitType = 'TRAIT_FA_MONTEZUMA' WHERE LeaderType = 'LEADER_MONTEZUMA';

--------------------------------------------------------------------------------------------------
--Trait Promotions
--------------------------------------------------------------------------------------------------
INSERT INTO Trait_FreePromotionUnitCombats  (TraitType,	UnitCombatType,			PromotionType) 
SELECT 'TRAIT_FA_MONTEZUMA',							'UNITCOMBAT_MELEE',		'PROMOTION_FA_MONTEZUMA' UNION ALL
SELECT 'TRAIT_FA_MONTEZUMA',							'UNITCOMBAT_GUN',		'PROMOTION_FA_MONTEZUMA';

--------------------------------------------------------------------------------------------------
--Policy enablers
--------------------------------------------------------------------------------------------------
INSERT INTO Policies (Type) 
SELECT 'POLICY_TRAIT_FA_MONTEZUMA_WAR';

INSERT INTO Policy_BuildingClassHappiness (PolicyType,		BuildingClassType,			Happiness) 
SELECT 'POLICY_TRAIT_FA_MONTEZUMA_WAR',						'BUILDINGCLASS_BARRACKS',	3;

INSERT INTO Policy_BuildingClassCultureChanges (PolicyType,	BuildingClassType,			CultureChange) 
SELECT 'POLICY_TRAIT_FA_MONTEZUMA_WAR',						'BUILDINGCLASS_BARRACKS',	3;

--------------------------------------------------------------------------------------------------
--Leader Flavors
--------------------------------------------------------------------------------------------------
DELETE FROM Leader_Flavors WHERE LeaderType = 'LEADER_MONTEZUMA';

INSERT INTO Leader_Flavors  (LeaderType,	FlavorType,							Flavor)
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_OFFENSE',					9 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_DEFENSE',					3 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_CITY_DEFENSE',				4 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_MILITARY_TRAINING',			5 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_RECON',						6 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_RANGED',					5 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_MOBILE',					5 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_NAVAL',						3 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_NAVAL_RECON',				4 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_NAVAL_GROWTH',				4 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_NAVAL_TILE_IMPROVEMENT',	4 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_AIR',						7 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_EXPANSION',					8 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_GROWTH',					5 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_TILE_IMPROVEMENT',			4 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_INFRASTRUCTURE',			4 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_PRODUCTION',				7 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_GOLD',						7 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_SCIENCE',					4 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_CULTURE',					4 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_HAPPINESS',					7 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_GREAT_PEOPLE',				5 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_WONDER',					6 UNION ALL

SELECT 'LEADER_MONTEZUMA',					'FLAVOR_RELIGION',					6 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_DIPLOMACY',					2 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_SPACESHIP',					5 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_WATER_CONNECTION',			5 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_NUKE',						9 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_USE_NUKE',					9 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_ESPIONAGE',					7 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_ANTIAIR',					5 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_AIR_CARRIER',				5 UNION ALL

SELECT 'LEADER_MONTEZUMA',					'FLAVOR_ARCHAEOLOGY',				2 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_I_LAND_TRADE_ROUTE',		5 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_I_SEA_TRADE_ROUTE',			5 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_I_TRADE_ORIGIN',			5 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_I_TRADE_DESTINATION',		5 UNION ALL
SELECT 'LEADER_MONTEZUMA',					'FLAVOR_AIRLIFT',					5;


--------------------------------------------------------------------------------------------------
--Promotions
--------------------------------------------------------------------------------------------------
ALTER TABLE UnitPromotions ADD COLUMN EnslaveDefeatedChance integer DEFAULT 0;

INSERT INTO UnitPromotions (Type,	CannotBeChosen,	EnslaveDefeatedChance,	Description,						Help,									PediaEntry,							IconAtlas,			PortraitIndex,	Sound,				PediaType)
SELECT 'PROMOTION_FA_MONTEZUMA',	1,				33,						'TXT_KEY_PROMOTION_FA_MONTEZUMA',	'TXT_KEY_PROMOTION_FA_MONTEZUMA_HELP',	'TXT_KEY_PROMOTION_FA_MONTEZUMA',	'ABILITY_ATLAS',	59,				'AS2D_IF_LEVELUP',	'PEDIA_SHARED';

INSERT INTO UnitPromotions_UnitCombats (PromotionType,	UnitCombatType)
SELECT 'PROMOTION_FA_MONTEZUMA',						'UNITCOMBAT_MELEE' UNION ALL
SELECT 'PROMOTION_FA_MONTEZUMA',						'UNITCOMBAT_GUN';

--------------------------------------------------------------------------------------------------
--Icon Atlas 
--------------------------------------------------------------------------------------------------
INSERT INTO IconTextureAtlases (Atlas,	IconSize,	IconsPerRow,	IconsPerColumn,	Filename)
SELECT 'FA_MONTEZUMA_ATLAS',			256,		1,				1,				'Montezuma_Atlas256.dds' UNION ALL
SELECT 'FA_MONTEZUMA_ATLAS',			128,		1,				1,				'Montezuma_Atlas128.dds' UNION ALL
SELECT 'FA_MONTEZUMA_ATLAS',			80,			1,				1,				'Montezuma_Atlas80.dds' UNION ALL
SELECT 'FA_MONTEZUMA_ATLAS',			64,			1,				1,				'Montezuma_Atlas64.dds' UNION ALL
SELECT 'FA_MONTEZUMA_ATLAS',			45,			1,				1,				'Montezuma_Atlas45.dds';

--------------------------------------------------------------------------------------------------
--Unit Classes
--------------------------------------------------------------------------------------------------
INSERT INTO UnitClasses (Type,		MaxPlayerInstances,	DefaultUnit,			Description)
SELECT 'UNITCLASS_FA_MONTEZUMA',	-1,					'UNIT_FA_MONTEZUMA',	'TXT_KEY_UNIT_FA_MONTEZUMA';

--------------------------------------------------------------------------------------------------
--Units
--------------------------------------------------------------------------------------------------
INSERT INTO Units (Type,		Class,						Cost,	WorkRate,	Combat,	NoMaintenance,	CombatClass,		Moves,	Domain,			DefaultUnitAI,		Description,					Help,								Strategy,								Civilopedia,							UnitArtInfo,					UnitFlagAtlas,		UnitFlagIconOffset,	IconAtlas,				PortraitIndex) 
SELECT 'UNIT_FA_MONTEZUMA',		'UNITCLASS_FA_MONTEZUMA',	-1,		75,			8,		1,				'UNITCOMBAT_MELEE',	2,		'DOMAIN_LAND',	'UNITAI_WORKER',	'TXT_KEY_UNIT_FA_MONTEZUMA',	'TXT_KEY_UNIT_FA_MONTEZUMA_HELP',	'TXT_KEY_UNIT_FA_MONTEZUMA_STRATEGY',	'TXT_KEY_CIV5_ANTIQUITY_WORKER_TEXT',	'ART_DEF_UNIT_FA_MONTEZUMA',	'UNIT_FLAG_ATLAS',	1,					'FA_MONTEZUMA_ATLAS',	0;

--------------------------------------------------------------------------------------------------
-- Unit Builds
-------------------------------------------------------------------------------------------------- 
INSERT INTO Unit_Builds (UnitType,			BuildType)
SELECT 'UNIT_FA_MONTEZUMA',					'BUILD_ROAD' UNION ALL
SELECT 'UNIT_FA_MONTEZUMA',					'BUILD_FARM' UNION ALL
SELECT 'UNIT_FA_MONTEZUMA',					'BUILD_MINE' UNION ALL
SELECT 'UNIT_FA_MONTEZUMA',					'BUILD_TRADING_POST' UNION ALL
SELECT 'UNIT_FA_MONTEZUMA',					'BUILD_LUMBERMILL' UNION ALL
SELECT 'UNIT_FA_MONTEZUMA',					'BUILD_PASTURE' UNION ALL
SELECT 'UNIT_FA_MONTEZUMA',					'BUILD_CAMP' UNION ALL
SELECT 'UNIT_FA_MONTEZUMA',					'BUILD_PLANTATION' UNION ALL
SELECT 'UNIT_FA_MONTEZUMA',					'BUILD_QUARRY' UNION ALL
SELECT 'UNIT_FA_MONTEZUMA',					'BUILD_REMOVE_FOREST' UNION ALL
SELECT 'UNIT_FA_MONTEZUMA',					'BUILD_REMOVE_JUNGLE' UNION ALL
SELECT 'UNIT_FA_MONTEZUMA',					'BUILD_REMOVE_MARSH' UNION ALL
SELECT 'UNIT_FA_MONTEZUMA',					'BUILD_SCRUB_FALLOUT' UNION ALL
SELECT 'UNIT_FA_MONTEZUMA',					'BUILD_REPAIR' UNION ALL
SELECT 'UNIT_FA_MONTEZUMA',					'BUILD_REMOVE_ROUTE';

--------------------------------------------------------------------------------------------------
--Unit AIs 
--------------------------------------------------------------------------------------------------
INSERT INTO Unit_AITypes (UnitType,		UnitAIType)
SELECT 'UNIT_FA_MONTEZUMA',				'UNITAI_WORKER' UNION ALL
SELECT 'UNIT_FA_MONTEZUMA',				'UNITAI_DEFENSE';

--------------------------------------------------------------------------------------------------
--Unit Flavors
--------------------------------------------------------------------------------------------------
INSERT INTO Unit_Flavors (UnitType,			FlavorType,					Flavor)
SELECT 'UNIT_FA_MONTEZUMA',					'FLAVOR_TILE_IMPROVEMENT',	1 UNION ALL
SELECT 'UNIT_FA_MONTEZUMA',					'FLAVOR_DEFENSE',			1;

--------------------------------------------------------------------------------------------------
-- Unit Selection Sounds
--------------------------------------------------------------------------------------------------
INSERT INTO UnitGameplay2DScripts (UnitType,	SelectionSound,				FirstSelectionSound)
SELECT 'UNIT_FA_MONTEZUMA',						'AS2D_SELECT_SCOUT',		'AS2D_BIRTH_SCOUT';

--------------------------------------------------------------------------------------------------
--Unit Art
--------------------------------------------------------------------------------------------------
INSERT INTO ArtDefine_StrategicView (StrategicViewType, TileType,	Asset)
SELECT 'ART_DEF_UNIT_FA_MONTEZUMA',						'Unit',		'SV_Worker.dds';

INSERT INTO ArtDefine_UnitInfos (Type,		DamageStates,		Formation)
SELECT	'ART_DEF_UNIT_FA_MONTEZUMA',		1,					'LooseCivilian';

INSERT INTO ArtDefine_UnitInfoMemberInfos (UnitInfoType,	UnitMemberInfoType,					NumMembers)
SELECT	'ART_DEF_UNIT_FA_MONTEZUMA',						'ART_DEF_UNIT_MEMBER_FA_MONTEZUMA',	4;

INSERT INTO ArtDefine_UnitMemberCombats (UnitMemberType,	EnableActions,	DisableActions,	MoveRadius,	ShortMoveRadius,	ChargeRadius,	AttackRadius,	RangedAttackRadius,	MoveRate,	ShortMoveRate,	TurnRateMin,	TurnRateMax,	TurnFacingRateMin,	TurnFacingRateMax,	RollRateMin,	RollRateMax,	PitchRateMin,	PitchRateMax,	LOSRadiusScale,	TargetRadius,	TargetHeight,	HasShortRangedAttack,	HasLongRangedAttack,	HasLeftRightAttack,	HasStationaryMelee,	HasStationaryRangedAttack,	HasRefaceAfterCombat,	ReformBeforeCombat,	HasIndependentWeaponFacing,	HasOpponentTracking,	HasCollisionAttack,	AttackAltitude,	AltitudeDecelerationDistance,	OnlyTurnInMovementActions,	RushAttackFormation)
SELECT	('ART_DEF_UNIT_MEMBER_FA_MONTEZUMA'),				EnableActions,	DisableActions,	MoveRadius,	ShortMoveRadius,	ChargeRadius,	AttackRadius,	RangedAttackRadius,	MoveRate,	ShortMoveRate,	TurnRateMin,	TurnRateMax,	TurnFacingRateMin,	TurnFacingRateMax,	RollRateMin,	RollRateMax,	PitchRateMin,	PitchRateMax,	LOSRadiusScale,	TargetRadius,	TargetHeight,	HasShortRangedAttack,	HasLongRangedAttack,	HasLeftRightAttack,	HasStationaryMelee,	HasStationaryRangedAttack,	HasRefaceAfterCombat,	ReformBeforeCombat,	HasIndependentWeaponFacing,	HasOpponentTracking,	HasCollisionAttack,	AttackAltitude,	AltitudeDecelerationDistance,	OnlyTurnInMovementActions,	RushAttackFormation
FROM ArtDefine_UnitMemberCombats		WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_U_ROMAN_LEGION';

INSERT INTO ArtDefine_UnitMemberCombatWeapons ('UnitMemberType',	'Index', 'SubIndex', 'ID', 'VisKillStrengthMin', 'VisKillStrengthMax', 'ProjectileSpeed', 'ProjectileTurnRateMin', 'ProjectileTurnRateMax', 'HitEffect', 'HitEffectScale', 'HitRadius', 'ProjectileChildEffectScale', 'AreaDamageDelay', 'ContinuousFire', 'WaitForEffectCompletion', 'TargetGround', 'IsDropped', 'WeaponTypeTag', 'WeaponTypeSoundOverrideTag')
SELECT ('ART_DEF_UNIT_MEMBER_FA_MONTEZUMA'),						"Index", "SubIndex", "ID", "VisKillStrengthMin", "VisKillStrengthMax", "ProjectileSpeed", "ProjectileTurnRateMin", "ProjectileTurnRateMax", "HitEffect", "HitEffectScale", "HitRadius", "ProjectileChildEffectScale", "AreaDamageDelay", "ContinuousFire", "WaitForEffectCompletion", "TargetGround", "IsDropped", "WeaponTypeTag", "WeaponTypeSoundOverrideTag"
FROM ArtDefine_UnitMemberCombatWeapons	WHERE (UnitMemberType = 'ART_DEF_UNIT_MEMBER_U_ROMAN_LEGION');

INSERT INTO ArtDefine_UnitMemberInfos (Type,	Scale,		ZOffset,		Domain,		Model,							MaterialTypeTag,	 MaterialTypeSoundOverrideTag)
SELECT	('ART_DEF_UNIT_MEMBER_FA_MONTEZUMA'),	'0.14',		ZOffset,		Domain,		('Spearman_Aztec.fxsxml'),		MaterialTypeTag,	 MaterialTypeSoundOverrideTag
FROM ArtDefine_UnitMemberInfos			WHERE Type = 'ART_DEF_UNIT_MEMBER_U_ROMAN_LEGION';