-- Oda_Sakoku
-- Author: FramedArchitecture
-- DateCreated: 3/2015
--------------------------------------------------------------------
include("UA_Functions.lua")
--------------------------------------------------------------------
local ceil = math.ceil
local odaID = -1
local odaTeamID = -1
--------------------------------------------------------------------
function OnPlayerDoTurn(playerID)
	if (playerID ~= odaID) then return end
	DoInternalTradeRouteScience(playerID)
end
--------------------------------------------------------------------
function DoInternalTradeRouteScience(playerID)
	local player = Players[playerID]
	local bonus = GetSakokuInternalTradeScience(playerID)
	if (bonus > 0) then
		local techID = player:GetCurrentResearch()
		if (techID ~= -1) then
			local teamTechs = Teams[player:GetTeam()]:GetTeamTechs()
			teamTechs:ChangeResearchProgress(techID, bonus, playerID)
		end
	end
end
--------------------------------------------------------------------
function Init()
	for i = 0, GameDefines.MAX_MAJOR_CIVS - 1, 1 do
		local player = Players[i]
		if player and (GetTraitType(player) == "TRAIT_FA_ODA_NOBUNAGA") then
			odaID = i
			odaTeamID = player:GetTeam()
			player:SetHasPolicy(GameInfoTypes.POLICY_TRAIT_FA_ODA_NOBUNAGA, true)

			if g_IsBNW then
				GameEvents.PlayerDoTurn.Add(OnPlayerDoTurn)
			end

			print("Oda_Sakoku loaded")
			break;
		end
	end
end
--------------------------------------------------------------------
Init();