--------------------------------------------------------------------------------------------------
--Traits
--------------------------------------------------------------------------------------------------
ALTER TABLE Traits ADD COLUMN InternalTradeRouteScience boolean DEFAULT 0;

INSERT INTO Traits (Type,		LuaToInclude,		InternalTradeRouteScience,	RequiresExpansion,	FreeBuildingOnConquest,	Description,						ShortDescription) 
SELECT 'TRAIT_FA_ODA_NOBUNAGA',	'Oda_Sakoku.lua',	1,							1,					'BUILDING_CASTLE',		'TXT_KEY_TRAIT_FA_ODA_NOBUNAGA',	'TXT_KEY_TRAIT_FA_ODA_NOBUNAGA_SHORT';

--------------------------------------------------------------------------------------------------
UPDATE Leader_Traits SET TraitType = 'TRAIT_FA_ODA_NOBUNAGA' WHERE LeaderType = 'LEADER_ODA_NOBUNAGA';

--------------------------------------------------------------------------------------------------
--Trait Policies
--------------------------------------------------------------------------------------------------
INSERT INTO Policies (Type)
SELECT 'POLICY_TRAIT_FA_ODA_NOBUNAGA';

INSERT INTO Policy_BuildingClassProductionModifiers (PolicyType,	BuildingClassType,			ProductionModifier) 
SELECT 'POLICY_TRAIT_FA_ODA_NOBUNAGA',								'BUILDINGCLASS_CASTLE',		100;

INSERT INTO Policy_BuildingClassYieldChanges (PolicyType,	BuildingClassType,			YieldType,			YieldChange) 
SELECT 'POLICY_TRAIT_FA_ODA_NOBUNAGA',						'BUILDINGCLASS_CASTLE',		'YIELD_PRODUCTION',	2 UNION ALL
SELECT 'POLICY_TRAIT_FA_ODA_NOBUNAGA',						'BUILDINGCLASS_CASTLE',		'YIELD_GOLD',		2;

--------------------------------------------------------------------------------------------------
-- JFD_TopPanelAdditions
--------------------------------------------------------------------------------------------------
INSERT INTO JFD_TopPanelIncludes(FileName) 
SELECT 'UA_Functions.lua';

INSERT INTO JFD_TopPanelAdditions(CivilizationType,	YieldType,			YieldSourcefunction,				YieldSourceToolTip)
SELECT 'CIVILIZATION_JAPAN',						'YIELD_SCIENCE',	'GetSakokuInternalTradeScience',   'TXT_KEY_SAKOKU_INTERNAL_TRADE_SCIENCE';