-- Suleiman_Lawgiver
-- Author: FramedArchitecture
-- DateCreated: 6/2014
--------------------------------------------------------------------
include("UA_Functions.lua")
--------------------------------------------------------------------
local suleimanID = -1
local suleimanTeamID = -1
local round = math.floor
--------------------------------------------------------------------
function OnPlayerAdoptPolicy (playerID, policyID)
	if playerID ~= suleimanID then return end
	
	local player = Players[playerID]
	local branchType = GameInfo.Policies[policyID].PolicyBranchType
	local traitType = GetTraitType(player)
	for row in GameInfo.Trait_PolicyBranchCultureModifiers("TraitType='" .. traitType .. "'") do
		if row.PolicyBranchType == branchType then
			local bonus = row.CultureModifier/100
			player:SetJONSCulture(player:GetJONSCulture() + round(bonus * player:GetNextPolicyCost())) 
			player:ChangeGoldenAgeProgressMeter(round(bonus * player:GetGoldenAgeProgressThreshold()))
		end
	end
end
--------------------------------------------------------------------
function Init()
	for i = 0, GameDefines.MAX_MAJOR_CIVS - 1, 1 do
		local player = Players[i]
		if player and (GetTraitType(player) == "TRAIT_FA_SULEIMAN") then
			suleimanID = i
			suleimanTeamID = player:GetTeam()

			GameEvents.PlayerAdoptPolicy.Add( OnPlayerAdoptPolicy )

			print("Suleiman_Lawgiver loaded")
			break;
		end
	end
end
--------------------------------------------------------------------
Init();