--------------------------------------------------------------------------------------------------
--Traits
--------------------------------------------------------------------------------------------------
INSERT INTO Traits (Type,	LuaToInclude,				Description,					ShortDescription) 
SELECT 'TRAIT_FA_SULEIMAN',	'Suleiman_Lawgiver.lua',	'TXT_KEY_TRAIT_FA_SULEIMAN',	'TXT_KEY_TRAIT_FA_SULEIMAN_SHORT';

--------------------------------------------------------------------------------------------------
UPDATE Leader_Traits SET TraitType = 'TRAIT_FA_SULEIMAN' WHERE LeaderType = 'LEADER_SULEIMAN';

--------------------------------------------------------------------------------------------------
--Leader Flavors
--------------------------------------------------------------------------------------------------
DELETE FROM Leader_Flavors WHERE LeaderType = 'LEADER_SULEIMAN';

INSERT INTO Leader_Flavors  (LeaderType,	FlavorType,							Flavor)
SELECT 'LEADER_SULEIMAN',					'FLAVOR_OFFENSE',					8 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_DEFENSE',					4 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_CITY_DEFENSE',				4 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_MILITARY_TRAINING',			6 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_RECON',						5 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_RANGED',					5 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_MOBILE',					5 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_NAVAL',						5 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_NAVAL_RECON',				6 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_NAVAL_GROWTH',				5 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_NAVAL_TILE_IMPROVEMENT',	6 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_AIR',						6 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_EXPANSION',					8 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_GROWTH',					5 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_TILE_IMPROVEMENT',			5 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_INFRASTRUCTURE',			5 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_PRODUCTION',				6 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_GOLD',						5 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_SCIENCE',					4 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_CULTURE',					6 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_HAPPINESS',					5 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_GREAT_PEOPLE',				6 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_WONDER',					4 UNION ALL

SELECT 'LEADER_SULEIMAN',					'FLAVOR_RELIGION',					6 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_DIPLOMACY',					4 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_SPACESHIP',					5 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_WATER_CONNECTION',			5 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_NUKE',						5 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_USE_NUKE',					5 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_ESPIONAGE',					5 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_ANTIAIR',					5 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_AIR_CARRIER',				5 UNION ALL

SELECT 'LEADER_SULEIMAN',					'FLAVOR_ARCHAEOLOGY',				5 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_I_LAND_TRADE_ROUTE',		5 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_I_SEA_TRADE_ROUTE',			5 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_I_TRADE_ORIGIN',			5 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_I_TRADE_DESTINATION',		5 UNION ALL
SELECT 'LEADER_SULEIMAN',					'FLAVOR_AIRLIFT',					5;

--------------------------------------------------------------------------------------------------
--Trait Promotions
--------------------------------------------------------------------------------------------------
INSERT INTO Trait_FreePromotionUnitCombats  (TraitType,	UnitCombatType,			PromotionType) 
SELECT 'TRAIT_FA_SULEIMAN',								'UNITCOMBAT_SIEGE',		'PROMOTION_BARRAGE_1';

--------------------------------------------------------------------------------------------------
--Trait Policies
--------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS Trait_PolicyBranchCultureModifiers (TraitType TEXT DEFAULT NULL, PolicyBranchType TEXT DEFAULT NULL, CultureModifier INTEGER DEFAULT 0);

INSERT INTO Trait_PolicyBranchCultureModifiers (TraitType,	PolicyBranchType,		CultureModifier)
SELECT 'TRAIT_FA_SULEIMAN',									'POLICY_BRANCH_PIETY',	20 UNION ALL
SELECT 'TRAIT_FA_SULEIMAN',									'POLICY_BRANCH_HONOR',	20;

--------------------------------------------------------------------------------------------------
--Expansion Changes
--------------------------------------------------------------------------------------------------
UPDATE Traits
	SET	Description = 'TXT_KEY_TRAIT_FA_SULEIMAN2'
	WHERE EXISTS ( SELECT * FROM Specialists WHERE Type = 'SPECIALIST_MUSICIAN')
	AND Type = 'TRAIT_FA_SULEIMAN';

UPDATE Trait_PolicyBranchCultureModifiers
	SET PolicyBranchType = REPLACE (PolicyBranchType, 'POLICY_BRANCH_HONOR', 'POLICY_BRANCH_AESTHETICS') 
	WHERE EXISTS ( SELECT * FROM Specialists WHERE Type = 'SPECIALIST_MUSICIAN')
	AND TraitType = 'TRAIT_FA_SULEIMAN';