-- Washington_Republicanism
-- Author: FramedArchitecture
-- DateCreated: 6/2014
--------------------------------------------------------------------
include("UA_Functions.lua")
--------------------------------------------------------------------
function OnPlayerCanAdoptPolicyBranch (playerID, branchID)
	local bTraitBlock = GameInfo.PolicyBranchTypes[branchID].IsRepublicanBlocked
	if bTraitBlock then
		if GetTraitInfo(Players[playerID]).FreePolicyBranchUnlock then
			return false;
		end
	end
	return true;
end
--------------------------------------------------------------------
function Init()
	for i = 0, GameDefines.MAX_MAJOR_CIVS - 1, 1 do
		local player = Players[i]
		if player and GetTraitInfo(player).FreePolicyBranchUnlock then
			local branchID = GameInfoTypes[GetTraitInfo(player).FreePolicyBranchUnlock]
			if not player:IsPolicyBranchUnlocked(branchID) then
				player:SetPolicyBranchUnlocked(branchID, true);
				for row in GameInfo.Policies("IsRepublicanFree = 1") do
					if not player:HasPolicy(row.ID) then
						player:ChangeNumFreePolicies(1);
						player:SetHasPolicy(row.ID, true)
						player:ChangeNumFreePolicies(-1);
					end
				end
			end

			GameEvents.PlayerCanAdoptPolicyBranch.Add(OnPlayerCanAdoptPolicyBranch)

			print("Washington_Republicanism loaded")
			break;
		end
	end
end
--------------------------------------------------------------------
Init();