--------------------------------------------------------------------------------------------------
--Traits
--------------------------------------------------------------------------------------------------
ALTER TABLE Traits ADD COLUMN FreePolicyBranchUnlock text DEFAULT null;

INSERT INTO Traits (Type,		LuaToInclude,					CityUnhappinessModifier,	FreePolicyBranchUnlock,		Description,					ShortDescription) 
SELECT 'TRAIT_FA_WASHINGTON',	'Washington_Republicanism.lua',	-25,						'POLICY_BRANCH_LIBERTY',	'TXT_KEY_TRAIT_FA_WASHINGTON',	'TXT_KEY_TRAIT_FA_WASHINGTON_SHORT';

--------------------------------------------------------------------------------------------------
UPDATE Leader_Traits SET TraitType = 'TRAIT_FA_WASHINGTON' WHERE LeaderType = 'LEADER_WASHINGTON';

--------------------------------------------------------------------------------------------------
--Leader Flavors
--------------------------------------------------------------------------------------------------
DELETE FROM Leader_Flavors WHERE LeaderType = 'LEADER_WASHINGTON';

INSERT INTO Leader_Flavors  (LeaderType,	FlavorType,							Flavor)
SELECT 'LEADER_WASHINGTON',					'FLAVOR_OFFENSE',					5 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_DEFENSE',					8 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_CITY_DEFENSE',				6 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_MILITARY_TRAINING',			5 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_RECON',						8 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_RANGED',					5 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_MOBILE',					5 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_NAVAL',						4 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_NAVAL_RECON',				4 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_NAVAL_GROWTH',				4 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_NAVAL_TILE_IMPROVEMENT',	5 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_AIR',						8 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_EXPANSION',					8 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_GROWTH',					5 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_TILE_IMPROVEMENT',			7 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_INFRASTRUCTURE',			7 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_PRODUCTION',				7 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_GOLD',						6 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_SCIENCE',					5 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_CULTURE',					3 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_HAPPINESS',					7 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_GREAT_PEOPLE',				5 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_WONDER',					5 UNION ALL

SELECT 'LEADER_WASHINGTON',					'FLAVOR_RELIGION',					3 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_DIPLOMACY',					4 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_SPACESHIP',					5 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_WATER_CONNECTION',			5 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_NUKE',						5 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_USE_NUKE',					5 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_ESPIONAGE',					4 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_ANTIAIR',					5 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_AIR_CARRIER',				6 UNION ALL

SELECT 'LEADER_WASHINGTON',					'FLAVOR_ARCHAEOLOGY',				2 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_I_LAND_TRADE_ROUTE',		4 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_I_SEA_TRADE_ROUTE',			6 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_I_TRADE_ORIGIN',			5 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_I_TRADE_DESTINATION',		5 UNION ALL
SELECT 'LEADER_WASHINGTON',					'FLAVOR_AIRLIFT',					5;

--------------------------------------------------------------------------------------------------
--Policies
--------------------------------------------------------------------------------------------------
ALTER TABLE Policies ADD COLUMN IsRepublicanFree boolean DEFAULT 0;
ALTER TABLE PolicyBranchTypes ADD COLUMN IsRepublicanBlocked boolean DEFAULT 0;

UPDATE Policies SET IsRepublicanFree = 1 WHERE Type IN ( 'POLICY_LIBERTY', 'POLICY_REPUBLIC' );
UPDATE PolicyBranchTypes SET IsRepublicanBlocked = 1 WHERE Type IN ( 'POLICY_BRANCH_TRADITION' );

--------------------------------------------------------------------------------------------------
